using Serialization
include("set_parameters.jl")

@#echo countries

@# for j in countries 
   var x_@{j} y_@{j};
   varexo e_@{j};
   parameters a1_@{j} a2_@{j} b_@{j};
@#endfor
 
D = deserialize("newdata.jls");
println(D);

set_parameters!(D)
 
println(context.work.params)

model;
  @#for j in countries
      y_@{j} = a1_@{j} * y_@{j}(-1) + b_@{j}*x_@{j};
      x_@{j} = a2_@{j}*e_@{j};
  @#endfor
end;
